<?xml version="1.0" encoding="utf-8"?>
<ScrollView
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:fillViewport="true"
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">
    <LinearLayout
        android:minHeight="730dp"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        tools:layout_editor_absoluteX="0dp"
        tools:layout_editor_absoluteY="-115dp">
        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="32dp"
            tools:layout_editor_absoluteX="0dp"
            tools:layout_editor_absoluteY="-115dp">
            <ImageView
                android:id="@+id/back"
                android:layout_width="32dp"
                android:layout_height="32dp"
                android:background="@drawable/ic_baseline_chevron_left_24" />
            <TextView
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_gravity="center"
                android:gravity="center"
                android:text="@string/stocktaking_title"
                android:textColor="@color/black"
                android:textSize="25sp"
                android:textStyle="bold" />
        </FrameLayout>
        <LinearLayout
            android:orientation="vertical"
            android:layout_width="match_parent"
            android:layout_height="match_parent">
            <LinearLayout
                android:background="@drawable/border"
                android:orientation="horizontal"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
                <TextView
                    android:padding="6dp"
                    android:id="@+id/task_count"
                    android:textSize="17sp"
                    android:layout_weight="4"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"/>
            </LinearLayout>
            <LinearLayout
                android:divider="@drawable/border_shape"
                android:showDividers="middle"
                android:background="@drawable/border"
                android:orientation="horizontal"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
                <TextView
                    android:padding="6dp"
                    android:id="@+id/user_name"
                    android:textSize="17sp"
                    android:layout_weight="2"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"/>
                <TextView
                    android:padding="6dp"
                    android:id="@+id/off_stock_count"
                    android:textSize="17sp"
                    android:layout_weight="2"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"/>
            </LinearLayout>
            <LinearLayout
                android:divider="@drawable/border_shape"
                android:showDividers="middle"
                android:background="@drawable/border"
                android:orientation="horizontal"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
                <TextView
                    android:padding="6dp"
                    android:id="@+id/task_id"
                    android:textSize="17sp"
                    android:layout_weight="4"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"/>
                <TextView
                    android:padding="6dp"
                    android:id="@+id/task_type"
                    android:textSize="17sp"
                    android:layout_weight="1"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"/>
            </LinearLayout>
            <LinearLayout
                android:background="@drawable/border"
                android:orientation="horizontal"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
                <TextView
                    android:padding="6dp"
                    android:id="@+id/start_date"
                    android:textSize="17sp"
                    android:layout_weight="1"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"/>
            </LinearLayout>
            <LinearLayout
                android:divider="@drawable/border_shape"
                android:showDividers="middle"
                android:background="@drawable/border"
                android:orientation="horizontal"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
                <TextView
                    android:textStyle="bold"
                    android:padding="6dp"
                    android:id="@+id/current_loc_label"
                    android:textSize="19sp"
                    android:layout_weight="2"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"/>
                <EditText
                    android:background="@null"
                    android:singleLine="true"
                    android:padding="6dp"
                    android:id="@+id/current_loc"
                    android:textSize="19sp"
                    android:layout_weight="2"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:hint="请扫描库码"
                    android:autoLink="none" />
                <TextView
                    android:text="已/总"
                    android:padding="6dp"
                    android:id="@+id/stock_ratio"
                    android:textSize="19sp"
                    android:layout_weight="1"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"/>
            </LinearLayout>
            <LinearLayout
                android:divider="@drawable/border_shape"
                android:showDividers="middle"
                android:background="@drawable/border"
                android:orientation="horizontal"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
                <TextView
                    android:textStyle="bold"
                    android:padding="6dp"
                    android:id="@+id/barcode_label"
                    android:textSize="19sp"
                    android:layout_weight="2"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"/>
                <EditText
                    android:background="@null"
                    android:singleLine="true"
                    android:hint="请扫描商品条码"
                    android:padding="6dp"
                    android:id="@+id/barcode"
                    android:textSize="19sp"
                    android:layout_weight="3"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"/>
            </LinearLayout>
            <LinearLayout
                android:divider="@drawable/border_shape"
                android:showDividers="middle"
                android:background="@drawable/border"
                android:orientation="horizontal"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
                <TextView
                    android:textStyle="bold"
                    android:padding="6dp"
                    android:id="@+id/number_label"
                    android:textSize="22sp"
                    android:layout_weight="2"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"/>
                <EditText
                    android:background="@null"
                    android:singleLine="true"
                    android:inputType="number"
                    android:hint="请输入在库数量"
                    android:padding="6dp"
                    android:id="@+id/number"
                    android:textSize="22sp"
                    android:layout_weight="3"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"/>
            </LinearLayout>
            <LinearLayout
                android:divider="@drawable/border_shape"
                android:showDividers="middle"
                android:background="@drawable/border"
                android:orientation="horizontal"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
                <TextView
                    android:padding="6dp"
                    android:id="@+id/quality_label"
                    android:textSize="15sp"
                    android:layout_weight="1"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"/>
                <TextView
                    android:padding="6dp"
                    android:id="@+id/quality"
                    android:textSize="15sp"
                    android:layout_weight="1"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"/>
                <TextView
                    android:textStyle="bold"
                    android:padding="6dp"
                    android:id="@+id/prod_date_label"
                    android:textSize="15sp"
                    android:layout_weight="1"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"/>
                <TextView
                    android:layout_gravity="center"
                    android:gravity="center"
                    android:textColor="@color/info"
                    android:padding="6dp"
                    android:id="@+id/prod_date"
                    android:textSize="15sp"
                    android:layout_weight="2"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"/>
            </LinearLayout>
            <LinearLayout
                android:divider="@drawable/border_shape"
                android:showDividers="middle"
                android:background="@drawable/border"
                android:orientation="horizontal"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
                <TextView
                    android:padding="6dp"
                    android:id="@+id/attr_warehouse_label"
                    android:textSize="15sp"
                    android:layout_weight="1"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"/>
                <TextView
                    android:padding="6dp"
                    android:id="@+id/attr_warehouse"
                    android:textSize="15sp"
                    android:layout_weight="1"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"/>
                <TextView
                    android:textStyle="bold"
                    android:padding="6dp"
                    android:id="@+id/expiry_date_label"
                    android:textSize="15sp"
                    android:layout_weight="1"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"/>
                <TextView
                    android:layout_gravity="center"
                    android:gravity="center"
                    android:textColor="@color/info"
                    android:padding="6dp"
                    android:id="@+id/expiry_date"
                    android:textSize="15sp"
                    android:layout_weight="2"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"/>
            </LinearLayout>
            <LinearLayout
                android:divider="@drawable/border_shape"
                android:showDividers="middle"
                android:background="@drawable/border"
                android:orientation="horizontal"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
                <TextView
                    android:padding="6dp"
                    android:textSize="15sp"
                    android:layout_weight="1"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"/>
                <TextView
                    android:padding="6dp"
                    android:textSize="15sp"
                    android:layout_weight="1"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"/>
                <TextView
                    android:textStyle="bold"
                    android:padding="6dp"
                    android:id="@+id/lot_label"
                    android:textSize="15sp"
                    android:layout_weight="1"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"/>
                <EditText
                    android:background="@null"
                    android:singleLine="true"
                    android:padding="6dp"
                    android:id="@+id/lot"
                    android:textSize="15sp"
                    android:layout_weight="2"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"/>
            </LinearLayout>
            <Button
                android:layout_marginTop="10dp"
                android:layout_marginBottom="10dp"
                android:focusable="true"
                android:focusableInTouchMode="true"
                android:background="@drawable/btn_edit"
                android:textStyle="bold"
                android:textColor="@color/black"
                android:text="提  交"
                android:id="@+id/check_btn"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"/>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="40sp"
                android:orientation="horizontal">
                <TextView
                    android:layout_width="0dp"
                    android:layout_margin="8dp"
                    android:textStyle="bold"
                    android:textColor="@color/black"
                    android:text="待盘库位"
                    android:layout_height="match_parent"
                    android:layout_weight="1"/>
                <TextView
                    android:gravity="end"
                    android:layout_width="0dp"
                    android:layout_margin="8dp"
                    android:textStyle="bold"
                    android:textColor="@color/black"
                    android:text="未盘商品种类"
                    android:layout_height="match_parent"
                    android:layout_weight="1"/>
            </LinearLayout>
            <com.baoshi.swms.part.ScrollListView
                android:id="@+id/list"
                android:layout_width="match_parent"
                android:layout_height="230dp" />
        </LinearLayout>
    </LinearLayout>
</ScrollView>